Bug 1479868 - NPE when deactivating Cinder storage domain when no host on UP state
NPE when deactivating Cinder storage domain when no host on UP state
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.3.0
: ---
Assigned To: Fred Rolland
Raz Tamir
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 11:28 EDT by Fred Rolland
Modified: 2017-09-03 11:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3+


Attachments (Terms of Use)

  None (edit)
Description Fred Rolland 2017-08-09 11:28:39 EDT
Description of problem:
NullPOinterException when deactivating Cinder storage domain when no host on UP state

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Have a Cinder SD
2. Make all hosts in DC to Down
3. Deactivate Cinder Storage Domain

Actual results:
NPE in log and operation fails

Expected results:
Block the operation on validate.

Additional info:
2017-07-25 17:47:16,574+03 ERROR [org.ovirt.engine.core.bll.storage.domain.DeactivateStorageDomainCommand] (org.ovirt.thread.EE-ManagedThreadFactory-default-Thread-30) [6daa9e04] Exception: java.lang.NullPointerException
	at org.ovirt.engine.core.bll.storage.domain.DeactivateStorageDomainCommand.deactivateCinderStorageDomain(DeactivateStorageDomainCommand.java:375) [bll.jar:]
	at org.ovirt.engine.core.bll.storage.domain.DeactivateStorageDomainCommand.executeCommand(DeactivateStorageDomainCommand.java:257) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1259) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1399) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:2075) [bll.jar:]
	at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:164) [utils.jar:]
	at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:103) [utils.jar:]
	at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1459) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandBase.executeAction(CommandBase.java:410) [bll.jar:]
	at org.ovirt.engine.core.bll.executor.DefaultBackendActionExecutor.execute(DefaultBackendActionExecutor.java:13) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runAction(Backend.java:499) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:481) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runInternalAction(Backend.java:686) [bll.jar:]
	at sun.reflect.GeneratedMethodAccessor392.invoke(Unknown Source) [:1.8.0_131]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.8.0_131]
	at java.lang.reflect.Method.invoke(Method.java:498) [rt.jar:1.8.0_131]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptor.java:52)
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
	at org.jboss.invocation.InterceptorContext$Invocation.proceed(InterceptorContext.java:437)
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.delegateInterception(Jsr299BindingsInterceptor.java:70) [wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.doMethodInterception(Jsr299BindingsInterceptor.java:80) [wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
	at org.jboss.as.weld.ejb.Jsr299BindingsInterceptor.processInvocation(Jsr299BindingsInterceptor.java:93) [wildfly-weld-10.1.0.Final.jar:10.1.0.Final]
	at org.jboss.as.ee.component.interceptors.UserInterceptorFactory$1.processInvocation(UserInterceptorFactory.java:63)
	at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:340)
	at org.jboss.as.ejb3.component.invocationmetrics.ExecutionTimeInterceptor.processInvocation(ExecutionTimeInterceptor.java:43) [wi

Note You need to log in before you can comment on or make changes to this bug.